All Stores
curl --request GET \
--url https://nini.monieswitch.com/branch/store \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/branch/store"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/branch/store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"page": 1,
"size": 20,
"totalRecords": 3,
"totalPages": 1,
"totalStoreBalance": 18615,
"stores": [
{
"id": "9ab67f41-10c9-4f52-adfc-31f460980966",
"name": "Lambe Shop",
"code": "Store 3",
"phoneNumber": "2348123928345",
"email": "[email protected]",
"website": "www.lambe.market.com",
"address": "No 12, lambe area",
"walletId": "1e04b3a0-eabd-48b4-b5ba-91ec1d15a103",
"createdAt": "2024-12-27T14:36:09.463Z"
},
{
"id": "87b67fa5-553f-45ab-8daf-e446af4d6809",
"name": "Ajuwon Market",
"code": null,
"phoneNumber": "2348123928344",
"email": "[email protected]",
"website": "www.ajuwon.market.com",
"address": "No 12, ajuwon market",
"walletId": "8f0c3fc0-47b5-4bd8-92bb-c2ab991d394d",
"createdAt": "2024-12-24T01:29:38.623Z"
},
{
"id": "3d06119f-1a61-49a4-8be9-e0e7917a9340",
"name": "Somulu Market",
"code": null,
"phoneNumber": "2348123928344",
"email": null,
"website": "www.somolu.market2.com",
"address": "No 12, Somolu market",
"walletId": "849c0188-d645-46b6-ac2c-8840a9d4b08b",
"createdAt": "2024-12-24T01:06:54.052Z"
}
]
}
}Branches
All Stores
GET
/
branch
/
store
All Stores
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I